Commit History

Author SHA1 Message Date
  Fabian Peter Hammerle a91afa30d8 drop compatibility with python3.5 3 months ago
  dependabot[bot] e9532e43d4 build(deps-dev): bump pathlib2 from 2.3.5 to 2.3.6 6 months ago
  dependabot[bot] 93563ea0be build(deps-dev): bump mypy from 0.902 to 0.910 6 months ago
  dependabot[bot] 5cdcced980 build(deps-dev): bump mypy from 0.812 to 0.902 7 months ago
  dependabot[bot] 290183febc build(deps-dev): bump pytest-cov from 2.12.0 to 2.12.1 7 months ago
  dependabot[bot] 7db5b58141 build(deps-dev): bump pytest-cov from 2.11.1 to 2.12.0 8 months ago
  Fabian Peter Hammerle 4c7ce03746 dev env: add upper version constraint for `click` to keep compatibility with python3.5 8 months ago
  Fabian Peter Hammerle 23101024da drop support for python3.4; upgrade dev env; disable travis 9 months ago
  dependabot[bot] 29f4355d9e build(deps-dev): bump regex from 2021.3.17 to 2021.4.4 9 months ago
  dependabot[bot] e63cd3bf9a build(deps-dev): bump regex from 2020.11.13 to 2021.3.17 10 months ago
  dependabot[bot] eb33a1e001 build(deps-dev): bump mypy from 0.800 to 0.812 10 months ago
  dependabot[bot] 9ed3d22655 build(deps-dev): bump mypy from 0.790 to 0.800 11 months ago
  Fabian Peter Hammerle 9f7925d5fe upgrade black; remove `pylint` from `tests_require` 1 year ago
  dependabot[bot] 5c5875449b build(deps-dev): bump regex from 2020.10.28 to 2020.11.13 1 year ago
  dependabot[bot] 563c0b9323 build(deps-dev): bump pathspec from 0.8.0 to 0.8.1 1 year ago
  Fabian Peter Hammerle 07a670a76e dev env: update dependencies 1 year ago
  dependabot[bot] 5a95348fdc build(deps-dev): bump typing-extensions from 3.7.4.2 to 3.7.4.3 1 year ago
  dependabot[bot] 23c4036306 build(deps-dev): bump pylint-import-requirements from 2.0.1 to 2.0.5 1 year ago
  dependabot[bot] a888414688 build(deps-dev): bump regex from 2020.10.23 to 2020.10.28 1 year ago
  dependabot[bot] 3bb69905e7 build(deps-dev): bump regex from 2020.6.8 to 2020.10.23 1 year ago
  Fabian Peter Hammerle 07201d1725 dev env: add version constraint for lazy-object-proxy to keep python3.4 compatibility 1 year ago
  Fabian Peter Hammerle a28bb585b6 github workflow: run mypy 1 year ago
  Fabian Peter Hammerle b6e8a04cd8 env: remove black's dependencies for python<3.6 to restore python3.4 compatibility 1 year ago
  Fabian Peter Hammerle b6ba2c75cd env: remove "click" for python<3.6 to restore compatibility with python3.4 (only required by black) 1 year ago
  Fabian Peter Hammerle ef3fdef795 pipenv: downgrade "coverage" to restore compatibility with python3.4 1 year ago
  Fabian Peter Hammerle e3474ee1b8 pipenv: added black 1 year ago
  Fabian Peter Hammerle a8364cca24 pipenv: downgrade pytest-cov to restore python3.4 support 1 year ago
  Fabian Peter Hammerle 44be415908 github workflow: report test coverage 1 year ago
  Fabian Peter Hammerle 1f11c2aa9e python3.5: workaround pytest failing with "pathlib2" import error 1 year ago
  Fabian Peter Hammerle 15e48f556d return to stable version of pylint-import-requirements 1 year ago